PUT
/api/v1/rds/cluster/slave/{Instance_id}/public-ip-{AttachDetach_Read_Replica}/
curl --request PUT \ --url 'https://api.e2enetworks.com/myaccount/api/v1/rds/cluster/slave/{Instance_id}/public-ip-{AttachDetach_Read_Replica}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "public_ip_required": "True"}'import requests
response = requests.put( "https://api.e2enetworks.com/myaccount/api/v1/rds/cluster/slave/{Instance_id}/public-ip-{AttachDetach_Read_Replica}/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "public_ip_required": "True", },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/rds/cluster/slave/{Instance_id}/public-ip-{AttachDetach_Read_Replica}/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "PUT", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "public_ip_required": "True" }),});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Instance_id
required
integer
Instance_id
AttachDetach_Read_Replica
required
string
Actions to manage Read Replica
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Request Body
Section titled “Request Body”Media typeapplication/json
object
public_ip_required
required
string
Example
TrueResponses
Section titled “Responses”Public IP updated successfully
Media typeapplication/json
object
code
integer
data
string
errors
object
key
additional properties
any
message
string
Example
{ "code": 200, "data": "updated public ip successfully", "message": "Success"}